Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cassandra.db
Interface ColumnFamilyStoreMBean

All Known Implementing Classes:
  ColumnFamilyStore

    public interface ColumnFamilyStoreMBean

The MBean interface for ColumnFamilyStore

Method Summary
`long` | `estimateKeys()`
`java.lang.Object` | `forceFlush()` Triggers an immediate memtable flush.
`void` | `forceMajorCompaction()` force a major compaction of this column family
`long` | `getBloomFilterFalsePositives()`
`double` | `getBloomFilterFalseRatio()`
`java.lang.String` | `getColumnFamilyName()`
`long[]` | `getLifetimeReadLatencyHistogramMicros()`
`long[]` | `getLifetimeWriteLatencyHistogramMicros()`
`long` | `getLiveDiskSpaceUsed()`
`int` | `getLiveSSTableCount()`
`long` | `getMaxRowCompactedSize()` return the size of the largest compacted row
`long` | `getMeanRowCompactedSize()` return the mean size of the rows compacted
`int` | `getMemtableColumnsCount()` Returns the total number of columns present in the memtable.
`int` | `getMemtableDataSize()` Returns the total amount of data stored in the memtable, including column related overhead.
`int` | `getMemtableSwitchCount()` Returns the number of times that a flush has resulted in the memtable being switched out.
`long` | `getMinRowCompactedSize()` return the size of the smallest compacted row
`int` | `getPendingTasks()`
`long` | `getReadCount()`
`long` | `getRecentBloomFilterFalsePositives()`
`double` | `getRecentBloomFilterFalseRatio()`
`long[]` | `getRecentReadLatencyHistogramMicros()`
`double` | `getRecentReadLatencyMicros()`
`long[]` | `getRecentWriteLatencyHistogramMicros()`
`double` | `getRecentWriteLatencyMicros()`
`long` | `getTotalDiskSpaceUsed()`
`long` | `getTotalReadLatencyMicros()`
`long` | `getTotalWriteLatencyMicros()`
`long` | `getWriteCount()`
`void` | `invalidateRowCache()` invalidate the row cache; for use after bulk loading via BinaryMemtable

Method Detail

### getColumnFamilyName

    java.lang.String getColumnFamilyName()

  Returns:
    the name of the column family

### getMemtableDataSize

    int getMemtableDataSize()

  Returns the total amount of data stored in the memtable, including column related overhead.

  Returns:
    The size in bytes.

### getMemtableColumnsCount

    int getMemtableColumnsCount()

  Returns the total number of columns present in the memtable.

  Returns:
    The number of columns.

### getMemtableSwitchCount

    int getMemtableSwitchCount()

  Returns the number of times that a flush has resulted in the memtable being switched out.

  Returns:
    the number of memtable switches

### forceFlush

    java.lang.Object forceFlush()
                                throws java.io.IOException

  Triggers an immediate memtable flush.

  Throws:
    `java.io.IOException`

### getReadCount

    long getReadCount()

  Returns:
    the number of read operations on this column family

### getTotalReadLatencyMicros

    long getTotalReadLatencyMicros()

  Returns:
    total read latency (divide by getReadCount() for average)

### getLifetimeReadLatencyHistogramMicros

    long[] getLifetimeReadLatencyHistogramMicros()

  Returns:
    an array representing the latency histogram

### getRecentReadLatencyHistogramMicros

    long[] getRecentReadLatencyHistogramMicros()

  Returns:
    an array representing the latency histogram

### getRecentReadLatencyMicros

    double getRecentReadLatencyMicros()

  Returns:
    average latency per read operation since the last call

### getWriteCount

    long getWriteCount()

  Returns:
    the number of write operations on this column family

### getTotalWriteLatencyMicros

    long getTotalWriteLatencyMicros()

  Returns:
    total write latency (divide by getReadCount() for average)

### getLifetimeWriteLatencyHistogramMicros

    long[] getLifetimeWriteLatencyHistogramMicros()

  Returns:
    an array representing the latency histogram

### getRecentWriteLatencyHistogramMicros

    long[] getRecentWriteLatencyHistogramMicros()

  Returns:
    an array representing the latency histogram

### getRecentWriteLatencyMicros

    double getRecentWriteLatencyMicros()

  Returns:
    average latency per write operation since the last call

### getPendingTasks

    int getPendingTasks()

  Returns:
    the estimated number of tasks pending for this column family

### getLiveSSTableCount

    int getLiveSSTableCount()

  Returns:
    the number of SSTables on disk for this CF

### getLiveDiskSpaceUsed

    long getLiveDiskSpaceUsed()

  Returns:
    disk space used by SSTables belonging to this CF

### getTotalDiskSpaceUsed

    long getTotalDiskSpaceUsed()

  Returns:
    total disk space used by SSTables belonging to this CF, including obsolete ones waiting to be GC'd

### forceMajorCompaction

    void forceMajorCompaction()

  force a major compaction of this column family

### invalidateRowCache

    void invalidateRowCache()

  invalidate the row cache; for use after bulk loading via BinaryMemtable

### getMinRowCompactedSize

    long getMinRowCompactedSize()

  return the size of the smallest compacted row

  Returns:

### getMaxRowCompactedSize

    long getMaxRowCompactedSize()

  return the size of the largest compacted row

  Returns:

### getMeanRowCompactedSize

    long getMeanRowCompactedSize()

  return the mean size of the rows compacted

  Returns:

### getBloomFilterFalsePositives

    long getBloomFilterFalsePositives()

### getRecentBloomFilterFalsePositives

    long getRecentBloomFilterFalsePositives()

### getBloomFilterFalseRatio

    double getBloomFilterFalseRatio()

### getRecentBloomFilterFalseRatio

    double getRecentBloomFilterFalseRatio()

### estimateKeys

    long estimateKeys()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 The Apache Software Foundation